Create a contact
Body·
required
application/json
Fields accepted when creating a contact. Unknown or read-only fields are rejected.
- Type: string | nullfull
Name requiredDisplay name, derivable from first + last.
- Type: string | nullFormat: emailemail
- Type: string | nullfirst
- Type: string | nullinstagram
- Type: string | nulllast
- Type: string | nullphone
- Type: string | nullpronouns
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/contacts
curl https://api.weddingoperatingsystems.com/api/v1/contacts \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"fullName": null,
"first": null,
"last": null,
"email": null,
"phone": null,
"pronouns": null,
"instagram": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"fullName": null,
"first": null,
"last": null,
"email": null,
"phone": null,
"pronouns": null,
"instagram": null,
"createdTime": "2026-09-30T06:22:05.749Z",
"lastEditedTime": "2026-09-30T06:22:05.749Z"
}
}